Java Persistence API 2.1

This feature enables support for applications that use application-managed and container-managed JPA written to the Java Persistence API 2.1 specification. The support is built on top of EclipseLink to support the container-managed programming model.

Command Line Install

To install the feature from the command line, type:
bin/installUtility install jpa-2.1
If you are installing into 8.5.5.5 or earlier and the feature supports that version, use the featureManager command, for example:
bin/featureManager install jpa-2.1 --when-file-exists=ignore

Config Instructions

To use the feature at runtime add the following to your server.xml file
<featureManager>
  <feature>jpa-2.1</feature>
</featureManager>

Additional Information